package com.pascal.systeminfo;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.webkit.JsResult;
import android.webkit.WebView;
import android.webkit.WebViewClient;

public class webpage extends Activity {
 private WebView myWebView;

 @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        myWebView = (WebView) findViewById(R.id.webView1);

        //enable Javascript
        myWebView.getSettings().setJavaScriptEnabled(true);

        //loads the WebView completely zoomed out
       // myWebView.getSettings().setLoadWithOverviewMode(true);

        //true makes the Webview have a normal viewport such as a normal desktop browser
        //when false the webview will have a viewport constrained to it's own dimensions
        myWebView.getSettings().setUseWideViewPort(true);

        //load the home page URL
       // myWebView.loadUrl("http://demo.mysamplecode.com/Servlets_JSP/pages/androidWebView.jsp");
        try {
            myWebView.loadData(strFromJNI(),"text/html", null);
    	    } catch(UnsatisfiedLinkError ule) {
              ule.printStackTrace();
            }
    }

  /** ---------------------------------*/
  public native String strFromJNI();

  /** ------------------------------- */
  public long nativeCodeLoaded=0;

    static {
    	try {
    		System.loadLibrary("nativetest");
    	} catch(UnsatisfiedLinkError ule) {
            ule.printStackTrace();
        }
    }

}
